

<app-header></app-header>
<mat-drawer-container class="example-container" autosize>

  <div class="example-sidenav-content">
    <app-titlemodule class="divtitle" [title] = title [route] = route></app-titlemodule>
    <div class="container-fluid float-left col-12 col-qpad divtop">
      <app-button  [banctrl]="[true,true, true, false, true, true]" [opcion]=2 [modulo]="modulo"></app-button>
    </div>
    <app-ctrlsaldoscaja></app-ctrlsaldoscaja>
    <div class="container-fluid float-left div-table">
      <div class="d-none d-lg-block d-md-block">
        <table class="table table-fixed font-comp table-style">
          <thead>
          <tr>
            <th scope="col" class="col-50"></th>
            <th class="col-l col-100" scope="col">TOTAL</th>
            <th class="col-l namemd" scope="col" >NOMBRE</th>
            <th class="col-l col-100" scope="col">DIEZMO</th>
            <th class="col-l col-100" scope="col">OFRENDA</th>
            <th class="col-l col-100" scope="col">MISIONES</th>
            <th class="col-l col-100" scope="col">MISERICORDIA</th>
            <th class="col-l col-100" scope="col">PRO-TEMPLO</th>
            <th class="col-l col-100" scope="col">CAJA</th>
            <th class="col-l col-100" scope="col">GRUPO RECAUD.</th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let regist of pageService.dataSource">

            <th scope="row" class="col-c">
              <a *ngIf="regserv.gruporecaudacion_reg.fechacierre == null" class="btn btn-sm btn-danger" matTooltip="Eliminar registro" (click)="eliminar_diezmo(regist)"><i class="fa fa-times"></i></a>&nbsp;
              <a *ngIf="regserv.gruporecaudacion_reg.fechacierre == null"  class="btn btn-sm btn-dark" matTooltip="Editar registro" (click)="editar_diezmo(regist)"><i class="fa fa-edit"></i></a>
              <i *ngIf="regserv.gruporecaudacion_reg.fechacierre != null"class="fa fa-lock fa-2x ico-lock"></i>
            </th>
            <td class="col-r num-tot">{{ regist.total | currency:segserv.moneda }}</td>
            <td>
              {{ regist.aportante }}
            </td>
            <td class="col-r">{{ regist.diezmo | currency:segserv.moneda }}</td>
            <td class="col-r">{{ regist.ofrenda | currency:segserv.moneda }}</td>
            <td class="col-r">{{ regist.misiones | currency:segserv.moneda }}</td>
            <td class="col-r">{{ regist.misericordia | currency:segserv.moneda }}</td>
            <td class="col-r">{{ regist.protemplo | currency:segserv.moneda }}</td>
            <td class="col-c"> {{ regist.caja }} </td>
            <td class="col-c"> {{ regist.gruporecaudacion }} </td>
          </tr>
          <tr *ngIf="dataGlobal.length == 0" class="col-l cel-ie">
            <th colspan="10">No se ha registrado recaudaciones según los criterios seleccionados.</th>
          </tr>
          </tbody>
          <tfoot>
            <tr >
              <td class="col-c">
                <button class="btn btn-sm btn-info btn-uq"  matTooltip="Ir a caja"  [routerLink] = "['/caja']"><mat-icon>account_balance_wallet</mat-icon></button>
              </td>
              <td class="col-r num-tot"><b>{{ lstserv.getTotal(0, dataGlobal) | currency:segserv.moneda }}</b></td>
              <td  class="col-r col-un">
                &nbsp;
              </td>

              <td class="col-r">{{ lstserv.getTotal(1, dataGlobal) | currency:segserv.moneda}}</td>
              <td class="col-r">{{ lstserv.getTotal(2, dataGlobal) | currency:segserv.moneda }}</td>
              <td class="col-r">{{ lstserv.getTotal(3, dataGlobal) | currency:segserv.moneda }}</td>
              <td class="col-r">{{ lstserv.getTotal(4, dataGlobal) | currency:segserv.moneda }}</td>
              <td class="col-r">{{ lstserv.getTotal(5, dataGlobal) | currency:segserv.moneda }}</td>
              <td colspan="2">&nbsp;</td>
            </tr>
          </tfoot>
        </table>
      </div>
       <div class="d-block d-lg-none d-md-none">
        <table class="font-comp table-style">
            <div class="col-12" style="padding-right: 0px;" *ngFor="let regist of pageService.dataSource">
                <div class="card bg-c-dark order-card">
                    <div class="card-block">
                        <h6 class="m-b-20">{{ regist.aportante}}<br><span class="num-tot"></span>{{ regist.caja + ' | '  + regist.gruporecaudacion }}</h6>

                        <h2><span class="num-tot">{{ regist.total | currency:segserv.moneda }}</span>
                          <span class="f-right">
                          <a *ngIf="regserv.gruporecaudacion_reg.fechacierre == null" class="btn btn-xs btn-danger" matTooltip="Eliminar registro" (click)="eliminar_diezmo(regist)"><i class="fa fa-times"></i></a>&nbsp;
                          <a *ngIf="regserv.gruporecaudacion_reg.fechacierre == null"  class="btn btn-xs btn-dark" matTooltip="Editar registro" (click)="editar_diezmo(regist)"><i class="fa fa-edit"></i></a>
                          <i *ngIf="regserv.gruporecaudacion_reg.fechacierre != null"class="fa fa-check num-tot2"></i>
                          </span></h2>
                          <p class="m-b-0">Diezmos<span class="f-right">{{ regist.diezmo | currency:segserv.moneda }}</span></p>
                          <p class="m-b-0">Ofrendas<span class="f-right">{{ regist.ofrenda | currency:segserv.moneda }}</span></p>
                          <p class="m-b-0">Misiones<span class="f-right">{{ regist.misiones | currency:segserv.moneda }}</span></p>
                          <p class="m-b-0">Misericordia<span class="f-right">{{ regist.misericordia | currency:segserv.moneda }}</span></p>
                          <p class="m-b-0">Pro-templo<span class="f-right">{{ regist.protemplo | currency:segserv.moneda }}</span></p>
                    </div>
                </div>
            </div>
            <tbody>
              <tr>
                <th *ngIf="pageService.dataSource.length == 0" class="col-l" style="padding: 10px 0px;">
                  No se ha registrado recaudaciones según los criterios seleccionados.
                </th>
              </tr>
            </tbody>
        </table>
      </div>
    </div>
    <!-- *ngIf="dataGlobal.length > 5" -->
    <div *ngIf="pageService.dataSource.length > 0" class="container-fluid d-flex justify-content-between p-2 quitop">
      <mat-paginator [length]="collectionSize" (page)="pageService.actualizaTabla2(dataGlobal, $event)"
            [pageSize]="pageService.pageSize"
            [pageSizeOptions]="pageService.pageSizeOptions">
      </mat-paginator>
      <!-- <ngb-pagination class="font-comp" [collectionSize]="collectionSize" [(page)]="pageService.page" [pageSize]="pageService.pageSize" (pageChange)="pageService.actualizaTabla(dataGlobal)">
      </ngb-pagination>

      <select class="custom-select font-comp" style="width: auto" [(ngModel)]="pageService.pageSize" (ngModelChange)="pageService.actualizaTabla(dataGlobal)">
        <option  [value]="5">5 items por página</option>
        <option  [value]="10">10 items por página</option>
        <option  [value]="15">15 items por página</option>
        <option  [value]="dataGlobal.length > 15"> todos los items</option>
      </select> -->
    </div>
  </div>
  <div *ngIf="dataGlobal.length > 0 && ctrlserv.disctrolmbr" class="container-fluid col-lg-6 col-md-6 col-12 float-left msj-dl font-comp">Si hubieron testigos, seleccione a las personas que estuvieron durante el conteo.</div>
  <div *ngIf="dataGlobal.length > 0 && !ctrlserv.disctrolmbr" class="container-fluid col-12 float-left msj-dl col-c font-comp">Grupo de recudación {{ regserv.gruporecaudacion_reg.codigo }} ha sido cerrado por
    {{ regserv.gruporecaudacion_reg.nombreusuario == 'General' ? 'Administrador de Sistema' :  regserv.gruporecaudacion_reg.nombreusuario }}
    {{ regserv.gruporecaudacion_reg.fechacierre | date:'dd-MM-yyyy' }}.</div>
    <div *ngIf="dataGlobal.length > 0 && !ctrlserv.disctrolmbr  && regserv.gruporecaudacion_reg.id != ''" class="container-fluid col-12 float-left msj-test col-c font-comp">
       <span class="col-c">
        <p>{{ regserv.gruporecaudacion_reg.nombreprimertestigo }}</p>
        <p>{{ regserv.gruporecaudacion_reg.nombresegundotestigo }}</p>
      </span>
    </div>

  <app-ctrlmiembros *ngIf="dataGlobal.length > 0 && ctrlserv.disctrolmbr && regserv.gruporecaudacion_reg.id != ''" class="col-lg-3 col-md-3 col-12 float-left" [descripcionctrl]="'Seleccione primer testigo'" [tipo]=0 [mostrar]=false [gral]=false [testigo]=false ></app-ctrlmiembros>
  <app-ctrlmiembros *ngIf="dataGlobal.length > 0 && ctrlserv.disctrolmbr && regserv.gruporecaudacion_reg.id != ''" class="col-lg-3 col-md-3 col-12 float-left" [descripcionctrl]="'Seleccione segundo testigo'" [tipo]=0 [mostrar]=false [gral]=false [testigo]=true ></app-ctrlmiembros>

  <div *ngIf="dataGlobal.length > 0 && ctrlserv.disctrolmbr && regserv.gruporecaudacion_reg.id != ''" class="float-left col-12 col-r">
    <button class="btn btn-sm btn-reg btn-uq"  matTooltip="Confirmar Registros" (click)="guardargrupo()" ><i class="fa fa-check-circle" ></i> Confirmar</button>
  </div>

  <mat-drawer #drawer class="example-sidenav" >
    <app-menu></app-menu>
  </mat-drawer>
  <!-- <app-registro></app-registro> -->
</mat-drawer-container>


